Subject: Guix System: Very long, scary boot time

From: sirgazil <[email-masked]>
Date: Sat, 11 Jan 2020 09:36:31 -0500

Hi,

Everytime I boot, it takes about 2 minutes to get to the log in screen. This is a lot compared to the time it takes to boot, say, Trisquel 8 on a USB stick, which takes about 15 seconds.

In the process, I see lots of lines of things I don't understand (maybe I'm not supposed to understand them), and the following lines are particularly confusing:

    This is the GNU system. Welcome.
    Login:

Sometimes, the two lines above stay there enough time to make you think that the system is waiting for your input; if you are new to the system, you may even start writing your login, but then more lines start appearing and send the login out of sight. 

Some lines are scary. Things like "ABC not found", "EFG not detected". But finally you get to the GDM login screen.

I'm used to this after using the system for about a year now, but I think this is a bug.

---
https://sirgazil.bitbucket.io/